ComputeCopy.h File Reference
`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures

struct | GfxHandle

## Typedefs

typedef void * | ComputeResourceHandle
| A backend-agnostic handle to a compute memory resource originating from an OpenGL resource.

## Enumerations

enum | BufferType { FORGE_IMAGE_BUFFER = 0 , FORGE_VERTEX_BUFFER = 1 }

## Typedef Documentation

## ComputeResourceHandle

typedef void* ComputeResourceHandle

A backend-agnostic handle to a compute memory resource originating from an OpenGL resource.

- cudaGraphicsResource in CUDA
- cl_mem in OpenCL
- unsigned from standard cpu A backend-agnostic handle to a compute memory resource.

For example: CUDA device pointer, like float*, int* from cudaMalloc. A cl_mem* from OpenCL's clCreateBuffer

Examples
  cpu/bubblechart.cpp, cpu/field.cpp, cpu/fractal.cpp, cpu/histogram.cpp, cpu/plot3.cpp, cpu/plotting.cpp, cpu/stream.cpp, cpu/surface.cpp, opencl/bubblechart.cpp, opencl/field.cpp, opencl/fractal.cpp, opencl/histogram.cpp, opencl/plot3.cpp, opencl/plotting.cpp, opencl/stream.cpp, and opencl/surface.cpp.

## Enumeration Type Documentation

## BufferType

enum BufferType

Enumerator
FORGE_IMAGE_BUFFER | OpenGL Pixel Buffer Object.
FORGE_VERTEX_BUFFER | OpenGL Vertex Buffer Object.